
Jupiter - Zadanie #1554
Serwis do zarządzania użytkownikami
2017-02-09 15:21 - Michał Komar

Status: Zamknięty Start date: 2017-02-03
Priority: Normalny Due date: 2017-02-03
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Michał Komar
Description

Jest to serwis wewnętrzny, dostępny z zewnątrz poprzez zarządzanie grupami. Zadanie rozszerza funkcjonalność UserService.
Serwis powinien umożliwić:
    1. Tworzenie użytkowników
    2. Resetowanie hasła użytkownika
    3. Blokowanie użytkowników
    4. Przypisywanie danych (publikacji) do użytkowników
    5. Pobieranie przypisanych danych
    6. Zmiana roli użytkownika

Related issues:
Related to Jupiter - Zadanie # 1590: komponent do wyszukiwania dokumentów Rozwiązany 2017-05-15
Follows Jupiter - Zadanie # 1544: UserService Zamknięty 2017-02-02

Associated revisions
Revision b3dc1c6c - 2017-04-27 07:08 - Łukasz Waśkiewicz

refs #1554 przypisywanie czasopism do użytkowników

History
#1 - 2017-02-09 15:30 - Michał Komar
- Description updated

#2 - 2017-02-09 15:33 - Michał Komar
- Description updated

#3 - 2017-02-09 15:56 - Michał Komar
- Follows Zadanie #1544: UserService added

#4 - 2017-02-09 15:56 - Michał Komar
- Description updated

#5 - 2017-03-07 15:24 - Łukasz Waśkiewicz
- Related to Zadanie #1590: komponent do wyszukiwania dokumentów added

#6 - 2017-04-27 13:27 - Łukasz Waśkiewicz
- Status changed from Nowy to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100

#7 - 2017-05-09 11:42 - Michał Komar
- Status changed from Testowanie to Rozwiązany

Ok.

#8 - 2017-06-06 11:56 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
